|  | reflex::TypeOp< const T > Struct Template Reference updated Fri Feb 28 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
reflex::TypeOp< const T > Struct Template Reference

Template specialization of reflex::TypeOp. More...

`#include <traits.h>`

## Public Types
typedef const T | Type
typedef const T | ConstType
typedef T | NonConstType

## Detailed Description

### template<typename T>
struct reflex::TypeOp< const T >

Template specialization of reflex::TypeOp.

## Member Typedef Documentation

template<typename T >

typedef const T reflex::TypeOp< const T >::ConstType

template<typename T >

typedef T reflex::TypeOp< const T >::NonConstType

template<typename T >

typedef const T reflex::TypeOp< const T >::Type

The documentation for this struct was generated from the following file:

- traits.h